ReplicatedContext (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.context.ReplicatedContext class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.context
Class ReplicatedContext

    java.lang.Object
      org.apache.catalina.core.ContainerBase
          org.apache.catalina.core.StandardContext
              org.apache.catalina.ha.context.ReplicatedContext

All Implemented Interfaces:
  java.io.Serializable, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Container, Context, Lifecycle, LifecycleListener, Pipeline, AbstractReplicatedMap.MapOwner

    public class ReplicatedContext

extends StandardContext
implements LifecycleListener, AbstractReplicatedMap.MapOwner

Version:
  1.0
Author:
  Filip Hanik
See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `ReplicatedContext.MultiEnumeration`
`protected static class` | `ReplicatedContext.ReplApplContext`

Nested classes/interfaces inherited from class org.apache.catalina.core.ContainerBase
`ContainerBase.ContainerBackgroundProcessor, ContainerBase.PrivilegedAddChild`

Field Summary
`protected static long` | `DEFAULT_REPL_TIMEOUT`
`static Log` | `log`
`protected boolean` | `startComplete`

Fields inherited from class org.apache.catalina.core.StandardContext
`allowLinking, cacheMaxSize, cacheObjectMaxSize, cacheTTL, caseSensitive, context, urlEncoder`

Fields inherited from class org.apache.catalina.core.ContainerBase
`backgroundProcessorDelay, children, cluster, controller, domain, initialized, lifecycle, listeners, loader, logger, logName, manager, mserver, name, oname, parent, parentClassLoader, pipeline, realm, resources, sm, startChildren, started, suffix, support, type`

Fields inherited from interface org.apache.catalina.Context
`RELOAD_EVENT`

Fields inherited from interface org.apache.catalina.Container
`ADD_CHILD_EVENT, ADD_MAPPER_EVENT, ADD_VALVE_EVENT, REMOVE_CHILD_EVENT, REMOVE_MAPPER_EVENT, REMOVE_VALVE_EVENT`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`ReplicatedContext()`

Method Summary
`java.lang.ClassLoader[]` | `getClassLoaders()`
`int` | `getMapSendOptions()`
`javax.servlet.ServletContext` | `getServletContext()` Return the servlet context for which this Context is a facade.
`void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
`void` | `objectMadePrimay(java.lang.Object key, java.lang.Object value)`
`void` | `setMapSendOptions(int mapSendOptions)`
`void` | `start()` Start this Context component.
`void` | `stop()` Stop this Context component.

Methods inherited from class org.apache.catalina.core.StandardContext
`addApplicationListener, addApplicationParameter, addChild, addConstraint, addErrorPage, addFilterDef, addFilterMap, addInstanceListener, addJspMapping, addLocaleEncodingMappingParameter, addMessageDestination, addMessageDestinationRef, addMimeMapping, addNotificationListener, addParameter, addRoleMapping, addSecurityRole, addServletMapping, addServletMapping, addTaglib, addWatchedResource, addWelcomeFile, addWrapperLifecycle, addWrapperListener, adjustURLPattern, create, createObjectName, createWrapper, destroy, engineBase, filterStart, filterStop, findApplicationListeners, findApplicationParameters, findConstraints, findErrorPage, findErrorPage, findErrorPages, findFilterConfig, findFilterDef, findFilterDefs, findFilterMaps, findInstanceListeners, findMappingObject, findMessageDestination, findMessageDestinationRef, findMessageDestinationRefs, findMessageDestinations, findMimeMapping, findMimeMappings, findParameter, findParameters, findRoleMapping, findSecurityRole, findSecurityRoles, findServletMapping, findServletMappings, findStaticResources, findStatusPage, findStatusPages, findTaglib, findTaglibs, findWatchedResources, findWelcomeFile, findWelcomeFiles, findWrapperLifecycles, findWrapperListeners, getAltDDName, getAnnotationProcessor, getAntiJARLocking, getAntiResourceLocking, getAppBase, getApplicationEventListeners, getApplicationLifecycleListeners, getAvailable, getBasePath, getCacheMaxSize, getCacheObjectMaxSize, getCacheTTL, getCharsetMapper, getCharsetMapperClass, getCompilerClasspath, getConfigBase, getConfigFile, getConfigured, getCookies, getCrossContext, getDefaultConfigFile, getDefaultContextXml, getDefaultWebXml, getDelegate, getDeploymentDescriptor, getDisplayName, getDistributable, getDocBase, getEncodedPath, getEngineName, getHostname, getIgnoreAnnotations, getInfo, getJ2EEApplication, getJ2EEServer, getJavaVMs, getLoginConfig, getMapper, getNamingContextListener, getNamingResources, getNotificationInfo, getOriginalDocBase, getOverride, getParentClassLoader, getParentName, getPath, getPaused, getPrivileged, getProcessingTime, getProcessTlds, getPublicId, getReloadable, getServer, getServlets, getSessionTimeout, getStartTime, getStartupTime, getState, getStaticResources, getSwallowOutput, getTldNamespaceAware, getTldScanTime, getTldValidation, getUnloadDelay, getUnpackWAR, getUseHttpOnly, getWelcomeFiles, getWorkDir, getWorkPath, getWrapperClass, getXmlNamespaceAware, getXmlValidation, init, isAllowLinking, isCachingAllowed, isCaseSensitive, isEventProvider, isFilesystemBased, isLazy, isReplaceWelcomeFiles, isSaveConfig, isServlet22, isStateManageable, isStatisticsProvider, isUseNaming, listenerStart, listenerStop, loadOnStartup, preDeregister, preRegister, reload, removeApplicationListener, removeApplicationParameter, removeChild, removeConstraint, removeErrorPage, removeFilterDef, removeFilterMap, removeInstanceListener, removeMessageDestination, removeMessageDestinationRef, removeMimeMapping, removeNotificationListener, removeNotificationListener, removeParameter, removeRoleMapping, removeSecurityRole, removeServletMapping, removeTaglib, removeWatchedResource, removeWelcomeFile, removeWrapperLifecycle, removeWrapperListener, resourcesStart, resourcesStop, setAllowLinking, setAltDDName, setAnnotationProcessor, setAntiJARLocking, setAntiResourceLocking, setApplicationEventListeners, setApplicationLifecycleListeners, setAvailable, setCacheMaxSize, setCacheObjectMaxSize, setCacheTTL, setCachingAllowed, setCaseSensitive, setCharsetMapper, setCharsetMapperClass, setCompilerClasspath, setConfigFile, setConfigured, setCookies, setCrossContext, setDefaultContextXml, setDefaultWebXml, setDelegate, setDisplayName, setDistributable, setDocBase, setEngineName, setIgnoreAnnotations, setJ2EEApplication, setJ2EEServer, setJavaVMs, setLazy, setLoader, setLoginConfig, setName, setNamingContextListener, setNamingResources, setOriginalDocBase, setOverride, setPath, setPrivileged, setProcessTlds, setPublicId, setReloadable, setReplaceWelcomeFiles, setResources, setSaveConfig, setServer, setSessionTimeout, setStartupTime, setSwallowOutput, setTldNamespaceAware, setTldScanTime, setTldValidation, setUnloadDelay, setUnpackWAR, setUseHttpOnly, setUseNaming, setWorkDir, setWrapperClass, setXmlNamespaceAware, setXmlValidation, startRecursive, toString`

Methods inherited from class org.apache.catalina.core.ContainerBase
`addContainerListener, addLifecycleListener, addPropertyChangeListener, addValve, backgroundProcess, findChild, findChildren, findContainerListeners, findLifecycleListeners, fireContainerEvent, getBackgroundProcessorDelay, getBasic, getChildren, getCluster, getContainerSuffix, getDomain, getFirst, getJmxName, getJSR77Suffix, getLoader, getLogger, getManager, getMappingObject, getName, getObjectName, getParent, getPipeline, getRealm, getResources, getStartChildren, getType, getValveObjectNames, getValves, invoke, logName, postDeregister, postRegister, removeContainerListener, removeLifecycleListener, removePropertyChangeListener, removeValve, setBackgroundProcessorDelay, setBasic, setCluster, setDomain, setManager, setParent, setParentClassLoader, setRealm, setStartChildren, threadStart, threadStop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.catalina.Container
`addContainerListener, addPropertyChangeListener, backgroundProcess, findChild, findChildren, findContainerListeners, getBackgroundProcessorDelay, getCluster, getLoader, getLogger, getManager, getMappingObject, getName, getObjectName, getParent, getPipeline, getRealm, getResources, invoke, removeContainerListener, removePropertyChangeListener, setBackgroundProcessorDelay, setCluster, setManager, setParent, setParentClassLoader, setRealm`

Field Detail

### log

    public static Log log

### startComplete

    protected boolean startComplete

### DEFAULT_REPL_TIMEOUT

    protected static long DEFAULT_REPL_TIMEOUT

Constructor Detail

### ReplicatedContext

    public ReplicatedContext()

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Description copied from interface: `LifecycleListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

### start

    public void start()
               throws LifecycleException

  Description copied from class: `StandardContext`
  Start this Context component.

  Specified by:
    `start` in interface `Lifecycle`
  Overrides:
    `start` in class `StandardContext`
  Throws:
    `LifecycleException` - if a startup error occurs

### stop

    public void stop()
              throws LifecycleException

  Description copied from class: `StandardContext`
  Stop this Context component.

  Specified by:
    `stop` in interface `Lifecycle`
  Overrides:
    `stop` in class `StandardContext`
  Throws:
    `LifecycleException` - if a shutdown error occurs

### setMapSendOptions

    public void setMapSendOptions(int mapSendOptions)

### getMapSendOptions

    public int getMapSendOptions()

### getClassLoaders

    public java.lang.ClassLoader[] getClassLoaders()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Description copied from class: `StandardContext`
  Return the servlet context for which this Context is a facade.

  Specified by:
    `getServletContext` in interface `Context`
  Overrides:
    `getServletContext` in class `StandardContext`

### objectMadePrimay

    public void objectMadePrimay(java.lang.Object key,
                                 java.lang.Object value)

  Specified by:
    `objectMadePrimay` in interface `AbstractReplicatedMap.MapOwner`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.